
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Visual C++ 6.0编程实现打印功能 / iVAN</title>

    <meta name="description" content="Visual C++ 6.0编程实现打印功能 Visual C++6.0是开发Windows应用程序的强大工具,但是要通过它实现程序的打印功能, 一直是初学者的一个难点,经常有朋友询问如何在VC中实现打印功能,他们往往感到在MFC提 供的框架内实现这个问题很复杂,不知道如何下手.本例针对这个问题,介绍一种简单的方 法实现文字串的打印功能,读者朋友可以在此基础上稍微改动一下,就可以实现文件.图像的 打印功能. 一.实现方法 在Windows操作系统下,显示器.打印机和绘图仪都 被视为输出设备,正常情况下,系统默认的输出设备是显示器.要使用打印">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Visual C++ 6.0编程实现打印功能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Visual C++6.0是开发Windows应用程序的强大工具，但是要通过它实现程序的打印功能， 一直是初学者的一个难点，经常有朋友询问如何在VC中实现打印功能，他们往往感到在MFC提 供的框架内实现这个问题很复杂，不知道如何下手。本例针对这个问题，介绍一种简单的方 法实现文字串的打印功能,读者朋友可以在此基础上稍微改动一下，就可以实现文件、图像的 打印功能。</p>
<p>一、实现方法</p>
<p>在Windows操作系统下，显示器、打印机和绘图仪都 被视为输出设备，正常情况下，系统默认的输出设备是显示器。要使用打印机,首先需要创建 一个指向打印机的设备环境句柄,然后通过该句柄调用相关的绘图函数把所需的文字和图形输 出至打印机上。当打印结束后,删除这个设备环境句柄即可。</p>
<p>当Windows系统中安装好 打印机后，系统总是自动设置一个打印机为系统的默认打印机,在Windows的启动配置文件 Win.ini中的[window]段中列出了带有关键字device的默认打印机。下面是某一机器中 Win.ini中的[Windows]字段的内容:</p>
<p><code>[windows]<br />
load=<br />
run=<br />
NullPort=None<br />
device=HP LaserJet 4050 (computer000),HPBFDB1,LPT1</code></p>
<p> </p>
<p>在上述关键字device后的字符串中，包含了系 统中默认打印机的三个重要属性，它们依次是打印机的设备名HP LaserJet 4050 (computer000)，驱动程序名是HPBFDB1，输出端口为LPT1。</p>
<p>为了操纵系统默认的打印 机，实现程序的打印功能，在程序中可调用API函数GetProfileString（）从Win.ini文件中 获得device这个设备字符串，该函数的原型为：DWORD GetProfileString( LPCTSTR lpAppName, LPCTSTR lpKeyName, LPCTSTR lpDefault, LPTSTR lpReturnedString, DWORD nSize)。函数中lpAppName参数为所要检索的Win.ini文件中的字段名；lpKeyName为字段中的 关键字名；lpDefault为默认的字符串；lpReturnedString为检索到的字符串，如果该函数没 有从lpKeyName关键字中检索到相应的字符串，则kpRetrunedString返回默认字符串 lpDefault；nSize为返回字符串的长度。</p>
<p>获取上述字符串后，再使用strtok（）函数 将该字符串进行分解,获得与打印机相关的三个属性,作为API函数CreateDC（）创建打印机设 备环境句柄的参数，CreateDC（）函数如果调用成功,则为默认打印机创建一个设备环境句柄 ,否则返回一个空值(NULL)。该函数的原形为：HDC CreateDC(LPCTSTR lpszDriver,LPCTSTR lpszDevice,LPCTSTR lpszOutput,CONST DEVMODE *lpinitData)。该函数的前三个参数恰好 对应打印机的三个属性，最后一个参数为初始化打印机驱动程序的数据，一般情况下该参数 设置为NULL就可以了。</p>
<p>在具体打印的过程中，调用int StartDoc( HDC hdc, CONST DOCINFO *lpdi )函数来开始一个打印任务，其中参数lpdi为一个指向DOCINFO结构的指针， 该结构如下：</p>
<p><code>typedef struct {<br />
　int cbSize; //结构的尺寸大小；<br />
　LPCTSTR lpszDocName; //文档的名字；<br />
　LPCTSTR lpszOutput; //输出文档名， 一般情况下为NULL；<br />
　LPCTSTR lpszDatatype;//用来记录打印过程的数据类型，一般 情况下为NULL；<br />
　DWORD fwType; //用来支持打印工作的额外信息，一般情况下为 NULL；<br />
} DOCINFO, *LPDOCINFO;</code></p>
<p>开始一个打印任务后，再调用StartPage (hdcprint)函数让打印机走纸，通知打印机有文档将要打印；接下来的工作就是输出数据了 ，这部分工作对于开发人员来说就象往计算机屏幕上输出文字、图像一样容易，只不过是计 算机根据当前的设备环境句柄自动将数据输出到打印机罢了。数据打印完后，需要作一些善 后处理工作，使用RestoreDC(hdcprint,-1)函数恢复打印机设备句柄、EndPage(hdcprint)函 数让打印机停止打印，最后调用EndDoc(hdcprint)函数结束上述的打印作业。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:36:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e5%a4%87/" title="设备">设备</a>, <a href="https://www.iamivan.net/tag/%e6%89%93%e5%8d%b0%e6%9c%ba/" title="打印机">打印机</a>, <a href="https://www.iamivan.net/tag/%e5%8f%a5%e6%9f%84/" title="句柄">句柄</a>, <a href="https://www.iamivan.net/tag/c-%e9%a9%b1%e5%8a%a8%e6%89%93%e5%8d%b0%e6%9c%ba%e6%89%93%e5%8d%b0/" title="c&plus;&plus;驱动打印机打印">c&plus;&plus;驱动打印机打印</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b%e6%89%93%e5%8d%b0/" title="&num;编程打印">&num;编程打印</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e4%b8%80%e4%b8%aa%e5%87%bd%e6%95%b0%e5%ae%9e%e7%8e%b0%e8%af%a5%e5%8a%9f%e8%83%bd/" title="用一个函数实现该功能">用一个函数实现该功能</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Visual C++ 6.0编程实现打印功能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZg0ab.html" rel="bookmark">111&lowbar;《数据管理COOL-Delphi 4&period;0 &plus; Visual FoxPro 6&period;0》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;数据管理COOL-Delphi 4.0 + Visual FoxPro 6.0&gt; Delphi 教程 系列书籍 (111) &lt;数据管理COOL-Delphi 4.0 + Visual FoxPro 6.0&gt; 网友(邦)整理 EMail: shuaihj@163.com 下载地址: 下载 原书名: 数据管理COOL-DELPHI4.0+VISUAL FOXPRO6.0 作者: 王永信 王益进 肖阳 出版社: 北京希望电子出版社 书号: 7900024247 出版日期:1999年8月			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDZR0M.html" rel="bookmark">Visual Basic 6&period;0 控件和 &period;NET 控件的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|控件|区别 Visual Basic 6.0 控件和 .NET 控件的区别 摘要:本文简单介绍了 Microsoft Visual Basic 6.0 中的标准控件和等效的 Microsoft .NET 控件. 目标 了解哪些 Visual Basic 6.0 ActiveX 控件在 .NET 中具有等效控件. 了解 .NET 控件中哪些属性发生了变化. 了解 .NET 中有哪些新控件. 前提条件 要彻底理解本文内容,需要满足以下条件: 了解什么是 ActiveX 控件. 使用 V			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWgvEM.html" rel="bookmark">使用Visual Basic 9&period;0进行XML编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				到目前为止,您可能已听说过LINQ(语言集成查询),它是Visual Studio 2008中附带的新查询技术.启用LINQ的语言(如Visual Basic)为您提供了一组丰富的查询运算符,您可以将这些运算符应用到各种数据源,如内存中的集合.数据库.数据集和XML.仅这一项技术就已经非常优秀了,但Visual Basic 9.0实际上提供的技术远不止此,它使XML成为直接集成到语言中的一流数据类型. 现在您可能想知道为什么需要将 XML 数据类型直接集成到Visual Basic中.当今,许多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZPkoM.html" rel="bookmark">Visual Basic &period;NET 已不再支持的 Visual Basic 6&period;0 功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual Visual Basic .NET 已不再支持下列的 Visual Basic 6.0 功能.A: ·    OLE 容器控件   Visual Basic .NET 中没有对等的对象.依赖这个控件的应用程序应继续使用 Visual Basic 6.0. ·    动态资料交换 (DDE)   DDE 方法不再受到支持.依赖 DDE 的应用程序应该修改为使用其它的应用程序间通讯方法或继续使用 Visual Basic 6.0. ·    DAO 或 RDO 资料系结 (Data B			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrPdZp.html" rel="bookmark">Visual C&num;的Excel编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Excel是微软公司办公自动化套件中的一个软件,他主要是用来处理电子表格.Excel以其功能强大,界面友好等受到了许多用户的欢迎.在办公的时候,正是由于Excel的这么多的优点,许多重要的数据,往往以Excel电子表格的形式存储起来.这样就给程序员带来了一个问题,虽然Excel功能比较强大,但毕竟不是数据库,在程序中处理数据库中的数据比其处理Excel表格中的数据容易许多.那么如何用Visual C#读取Excel表格中的数据?在以前用Delphi编程的时候,对于不同的用户,他们对于打印的需求是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK3E6b.html" rel="bookmark">《Visual C&plus;&plus; 开发从入门到精通》&mdash;&mdash;1&period;2　Visual C&plus;&plus; 6&period;0开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 Visual C++ 6.0开发环境 知识点讲解:光盘\视频\PPT讲解(知识点)\第1章\Visual C++ 6.0开发环境介绍.mp4 学习任何一门程序语言,都需要遵循图1-12所示的过程.本节将介绍Visual C++ 6.0集成开发环境的基本知识. 图1-12 学习一门语言的过程 1.2.1 熟悉集成开发环境 在打开Visual C++ 6.0后,需要熟悉Visual C++ 6.0这个集成开发环境.首先从Windows操作系统中选择&quot;开始&quot;→&quot;程序&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMN9APb.html" rel="bookmark">实现Internet&sol;Intranet 所见即所得的打印功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				打印  实现Internet/Intranet 所见即所得的打印功能        随着Internet技术的飞速发展,越来越多的企业应用是基于Internet/Intranet.这样用户就可以通过浏览器(Browser)来完成各种数据的输入.查询功能.但由于目前浏览器的局限性,影响了它的一些应用.如HTML页面交互性不强.缺乏所见即所得的打印功能等.这些问题多是通过在网页中嵌入Java Applet.ActiveX等控件或是使用Plug-in来解决.本文介绍一种解决所见即所得的打印方案 一.浏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zevvxb.html" rel="bookmark">用Visual Basic 6&period;0实现自动化测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual 摘要:本文探讨了Visual Basic 6.0在测试自动化中应用的可能性,并列举了一些在实际工作中应用的例子 一 现有自动化测试工具的不足 当前,一个摆在软件测试自动化面前的一个很明显的事实是目前可用的工具并不能做一切我们想要它们做的事情:指望任何一种工具能够完全支持众多不同应用的测试自动化是不现实的.由于很难找到一个能完全满足测试自动化需要的测试工具,而且测试自动化工具都十分昂贵,所以常用的做法是使用一种主要的自动化测试工具,然后用传统的编程语言如Java, C++ 和 Vis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvV26M.html" rel="bookmark">visual foxpro 7&period;0漫谈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今年是开发工具集中更新版本的一年:微软的Visual Studio.Net,Borland 的Delphi 6.Sybase的Power Builder 8都相继推出正式版或是测试版,我们的Visual FoxPro 当然也不会放过这业界大比武的好时机,今年5月微软发布了Visual FoxPro 7,它是继1995年Fox家族第一个可视化成员Visual FoxPro 3以来最具革命意义的版本. &quot;革命意义&quot;这个词可不是我信口开河.随便使用的,这是国外的Fox社区对Visual Fo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPZ4Zb.html" rel="bookmark" class="title">sqlserver另类非递归的无限级分类&lpar;存储过程版&rpar;</a>
					<div>
						下面是我统计的几种方案: 第一种方案(递归式): 简单的表结构为: CategoryID int(4), CategoryName nvarchar(50), ParentID int(4), Dep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0aP6p.html" rel="bookmark" class="title">JavaScript 对象与数组参考大全</a>
					<div>
						javascript|参考|对象|数组 JavaScript 对象与数组参考大全 本文列举了各种Javascript对象与数组,同时包括对上述每一对象或数组所完成工作的简短描述,以及与其相关的属性方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKEyWp.html" rel="bookmark" class="title">如何屏蔽掉 phpinfo&lpar;&rpar; 函数&lpar;转&rpar;</a>
					<div>
						函数 发表于:中国PHP联盟 www.phpx.com 作者/来源:php2000/www.php2000.com 人气:6 如何屏蔽掉 phpinfo() 函数?2000年12月11日在 php.i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGeEoM.html" rel="bookmark" class="title">使用内部和匿名类优化Java代码</a>
					<div>
						优化 Java 1.1通过对Java语言规范进行修改,显著简化了一些实用结构的实现.在那些修改中,最引人注目的就是内部类和匿名类.如运用得当,它们可使程序更易理解和维护.下面来看看这些特性具体是如何工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M00vPM.html" rel="bookmark" class="title">网页设计参考&colon;很不错的15个HTML网页表单设计实例</a>
					<div>
						通过PS我们可以设计出各种样子的表单,不过其中许多最后都需要转成HTML表单页面,在大多数表单中如果不能基于CSS制作的话就无法在很多场合应用.因此网页设计师在设计表单时需要考虑的问题就是如何将其转化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7qr5b.html" rel="bookmark" class="title">Photoshop中的15条配置技巧</a>
					<div>
						在Photoshop CS2中,可以通过首选项.自定义以及各种杂项的设置来适应我们的偏好.这篇文章中,我们就将讲述的有关配置的15条技巧. 1.在&quot;编辑&gt;首选项&gt;文件处理[Ctr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7L6ab.html" rel="bookmark" class="title">ASP&period;NET中基类页的设计和使用</a>
					<div>
						在Asp.net业务系统的开发过程中,为了保证页面风格的一致性以及减少重复代码的编写,我们需要引入基类页的概念,即:定义一个基类页,让所有的页面都继承这个基类,并在该基类页中加入公用的属性和方法. 实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kEWZz.html" rel="bookmark" class="title">利用PAWserver搭建Android平台PHP环境</a>
					<div>
						PAWserver可以实现我们在Android上运行PHP的愿望@Appinn 这是一个技术性的文章,有些折腾,不涉及代码(用模拟器的话需要几行),但不难,主要是探讨思路. 没有特别实际的性的用途,非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7r5dM.html" rel="bookmark" class="title">如何用SQL命令查看Mysql数据库大小</a>
					<div>
						要想知道每个数据库的大小的话,步骤如下:1.进入information_schema 数据库(存放了其他的数据库的信息)use information_schema; 2.查询所有数据的大小:sele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjWDOp.html" rel="bookmark" class="title">win7无线连接后显示有限访问权限怎么解决</a>
					<div>
						win7无线连接后显示有限访问权限怎么解决   无线连接后显示有限访问权限解决方法: 1.首先鼠标点击开始图标,选择控制面板,如图所示: 2.弹出控制面板窗口后,以大图标查看方式找到设备管理器并将其打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP42rz.html" rel="bookmark" class="title">HTTPS连接的前几毫秒发生了什么</a>
					<div>
						  花了数小时阅读了如潮的好评,Bob最终迫不及待为他购买的托斯卡纳全脂牛奶点击了&quot;进行结算&quot;,然后-- 哇!刚刚发生了什么? 在点击按钮过后的220毫秒时间内,发生了一系列有趣的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk23OwM.html" rel="bookmark" class="title">jquery图片切换实例分析</a>
					<div>
						 本文实例讲述了jquery图片切换实现方法.分享给大家供大家参考.具体如下:   1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkKvqb.html" rel="bookmark" class="title">《opengl编程指南》第八版 例题都不能编译运行</a>
					<div>
						问题描述 &lt;opengl编程指南&gt;第八版 例题都不能编译运行 所有例题都出现下面这几个错误.好像是库的问题,但不知道那个库,该怎么办 解决方案 1&gt;------ 已启动生成: 项目: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6RO3M.html" rel="bookmark" class="title">Java技术&lowbar;基础技术&lpar;0003&rpar;&lowbar;类执行顺序详解&plus;实例&lpar;阿里面试题&rpar;&plus;详细讲解&plus;流程图</a>
					<div>
						Java技术_基础技术(0001)_后台模拟调用action Java技术_基础技术(0002)_中间件启动class加载顺序(以tomcat为例) Java技术_基础技术(0003)_类执行顺序详解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrDJGM.html" rel="bookmark" class="title">Module Thinking之networks</a>
					<div>
						networks,一般都会解释成人际关系网络.人际关系网络,就是人与人之间的关联情况的描述.对其结构,有四个描述维度: Degree[深度],也就是平均每条边能连接多少个节点.$$Average De ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl27qp.html" rel="bookmark" class="title">link如何实现在内存中查找关键字的功能</a>
					<div>
						问题描述 link如何实现在内存中查找关键字的功能 用OD爆了内存,找到关键字以后,用link如何实现在内存中查找关键字的功能 解决方案 参考:http://kenter1643.iteye.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq96yz.html" rel="bookmark" class="title">dx11-DX11画多边形还有多面体的问题</a>
					<div>
						问题描述 DX11画多边形还有多面体的问题 如何用循环函数输出的顶点坐标存到顶点缓存里,还有画多面体时候索引缓存. 网上代码调不通,而且缺少内容,本人新手DX入门,求大神解答. 解决方案 http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKPrDb.html" rel="bookmark" class="title">分享从1月14日域名转移事件的经验教训</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在都15日晚上了,我才从昨天的惨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba75Rgp.html" rel="bookmark" class="title">Mysql学习笔记（十四）备份与恢复</a>
					<div>
						原文:Mysql学习笔记(十四)备份与恢复 学习内容: 1.数据库的重要数据备份... 2.什么时候需要使用到数据库备份.. 3.如何恢复备份的数据..   1.备份: 说到备份,相比大家都不应该陌生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAXavp.html" rel="bookmark" class="title">微软前IE项目主管出走已就职24年</a>
					<div>
						微软前IE项目主管Dean Hachamovitch12月19日消息,据国外媒体报道,微软前IE项目主管Dean Hachamovitch已经从微软离职,他在自己的博客上宣布了这一消息.自1990年加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94wYvb.html" rel="bookmark" class="title">给定的整数60，获取其十六进制数位的表现形式&lpar;是使用代码实现&rpar;</a>
					<div>
						问题描述 给定的整数60,获取其十六进制数位的表现形式(是使用代码实现) 给定的整数60,获取其十六进制数位的表现形式(是使用代码实现) 解决方案 C# int num = 60: string Nu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJnXQp.html" rel="bookmark" class="title">TROUBLESHOOTING&colon; 行数据不一致异常&lbrack;RowInconsistentException&rsqb;</a>
					<div>
						关键字:oracle.jbo.RowInconsistentException  JBO-25014  其他用户已更改具有主键 XXX 的行 异常现象: 在ADF中新建或者更新数据的时候,进行连续的C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e3P1b.html" rel="bookmark" class="title">美国第一大移动运营商的5G战略：已进入预商用测试</a>
					<div>
						&quot;Verizon 5G已进入预商用测试&quot; &lt;IT时报&gt;专访Verizon院士欧阳晔博士 详解美国第一大移动运营商的5G和物联网战略 作为美国第一大移动通信运营商,Ver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAZO5b.html" rel="bookmark" class="title">Android开发14&mdash;&mdash;监听内容提供者ContentProvider的数据变化</a>
					<div>
						  一.提出需求 有A,B,C三个应用,B中的数据需要被共享,所以B中定义了内容提供者ContentProvider:A应用修改了B应用的数据,插入了一条数据.有这样一个需求,此时C应用需要得到数据被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB6jaz.html" rel="bookmark" class="title">PhoneGap一个优秀的移动开发框架</a>
					<div>
						本文将介绍几种调试方法与工具,解决移动平台上的 http://www.aliyun.com/zixun/aggregation/33906.html&quot;&gt;JavaScript 调试难题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nkD0z.html" rel="bookmark" class="title">中国经典传播虎啸大奖评选结果揭晓</a>
					<div>
						近日,第三届(2011年度)中国经典传播虎啸大奖评选结果揭晓,国内领先的社交化团购网站糯米网以&quot;0元抽奖+预购&quot;小米手机的独家团购活动,一举斩获虎啸大奖金奖,同时开创了一种全新的跨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrPvM.html" rel="bookmark" class="title">介绍IBM WebSphere Application Server中OSGi的新特性</a>
					<div>
						OSGi 为模块化编程提供了一个开放的.标准的框架.http://www.aliyun.com/zixun/aggregation/13387.html&quot;&gt;WebSphere Appl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvmRNM.html" rel="bookmark" class="title">分析Android中应用的启动流程&lowbar;Android</a>
					<div>
						前言 在我们开始之前,希望您能最好已经满足以下条件:      1.有一份编译后的Android源码(亲自动手实践才会有更深入的理解)      2.对Binder机制有一定的了解 本文启动流程分析基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVLNwz.html" rel="bookmark" class="title">asp&period;net 简易生成注册码（数字&plus;大小写字母）&lowbar;实用技巧</a>
					<div>
						如果有哪里看不懂的,请留言哦 生成随机码类:SigowayRandom.cs  复制代码 代码如下: using System; namespace RongYi.Model.Common { /// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOP0wb.html" rel="bookmark" class="title">Nginx&plus;Keepalived&lpar;双机热备&rpar;搭建高可用负载均衡环境&lpar;HA&rpar;</a>
					<div>
						基于 Nginx+Tomcat+Redis负载均衡Session共享来实现后续的功能 个人微信小程序.是关于人工智能的.应用是百度大脑 和 腾讯优图的人脸识别 有问题加QQ:783021975 验证问 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
